ScreenPickerTool Class Reference

`#include <ScreenPickerTool.h>`

Inheritance diagram for ScreenPickerTool:

## Public Types

enum | MoveRestriction { NoRestriction, Vertical, Horizontal }
Public Types inherited from PlotToolInterface
enum | RttiValues { Rtti_PlotTool = 0, Rtti_RangeSelector, Rtti_DataPicker, Rtti_TranslateCurveTool, Rtti_MultiPeakFitTool, Rtti_LineProfileTool, Rtti_AddWidgetTool, Rtti_DrawDataPoints, Rtti_ImageProfilesTool, Rtti_SubtractLineTool, Rtti_PlotUserTool = 1000 }

## Signals

void | statusText (const QString &)

## Public Member Functions

virtual void | append (const QwtDoublePoint &pos)
| ScreenPickerTool (Graph *graph, const QObject *status_target=NULL, const char *status_slot="")
void | setMoveRestriction (ScreenPickerTool::MoveRestriction r)
double | xValue ()
double | yValue ()
virtual | ~ScreenPickerTool ()
Public Member Functions inherited from PlotToolInterface
| PlotToolInterface (Graph *graph, const QObject *status_target=NULL, const char *status_slot="")
virtual int | rtti () const
virtual | ~PlotToolInterface ()

## Protected Member Functions

virtual void | append (const QPoint &point)
virtual bool | eventFilter (QObject *obj, QEvent *event)

## Protected Attributes

MoveRestriction | d_move_restriction
QwtPlotMarker | d_selection_marker
Protected Attributes inherited from PlotToolInterface
Graph * | d_graph
const char * | d_status_slot
const QObject * | d_status_target

## Detailed Description

Plot tool for selecting arbitrary points.

This is a rather thin wrapper around QwtPlotPicker, providing selection of points on a Graph/Plot and displaying coordinates.

## Member Enumeration Documentation

## MoveRestriction

enum ScreenPickerTool::MoveRestriction

Enumerator
NoRestriction |
Vertical |
Horizontal |

## Constructor & Destructor Documentation

## ScreenPickerTool()

ScreenPickerTool::ScreenPickerTool | ( | Graph * | graph,
|  | const QObject * | status_target = `NULL`,
|  | const char * | status_slot = `""`
| ) |  |

References PlotToolInterface::d_graph, d_selection_marker, and statusText().

## ~ScreenPickerTool()

ScreenPickerTool::~ScreenPickerTool | ( |  | ) |

virtual

References PlotToolInterface::d_graph, and d_selection_marker.

## Member Function Documentation

## append() [1/2]

void ScreenPickerTool::append | ( | const QwtDoublePoint & | pos | ) |

virtual

Reimplemented in ImageProfilesTool.

References PlotToolInterface::d_graph, d_move_restriction, d_selection_marker, Horizontal, Graph::multiLayer(), NoRestriction, statusText(), and Vertical.

Referenced by append(), ImageProfilesTool::append(), eventFilter(), and yValue().

## append() [2/2]

void ScreenPickerTool::append | ( | const QPoint & | point | ) |

protected virtual

References append().

## eventFilter()

bool ScreenPickerTool::eventFilter | ( | QObject * | obj,
|  | QEvent * | event
| ) |  |

protected virtual

Reimplemented in DrawPointTool.

References append(), and d_selection_marker.

Referenced by DrawPointTool::rtti(), and yValue().

## setMoveRestriction()

void ScreenPickerTool::setMoveRestriction | ( | ScreenPickerTool::MoveRestriction | r | ) |

inline

References d_move_restriction.

## statusText

void ScreenPickerTool::statusText | ( | const QString & |  | ) |

signal

Emitted whenever a new message should be presented to the user.

You don't have to connect to this signal if you alreay specified a reciever during initialization.

Referenced by append(), ImageProfilesTool::append(), DrawPointTool::appendPoint(), ScreenPickerTool(), and yValue().

## xValue()

double ScreenPickerTool::xValue | ( |  | ) |

inline

References d_selection_marker.

Referenced by ImageProfilesTool::clone().

## yValue()

double ScreenPickerTool::yValue | ( |  | ) |

inline

References append(), d_selection_marker, eventFilter(), and statusText().

Referenced by ImageProfilesTool::clone().

## Member Data Documentation

## d_move_restriction

MoveRestriction ScreenPickerTool::d_move_restriction

protected

Referenced by append(), and setMoveRestriction().

## d_selection_marker

QwtPlotMarker ScreenPickerTool::d_selection_marker

protected

Referenced by append(), eventFilter(), DrawPointTool::eventFilter(), ImageProfilesTool::ImageProfilesTool(), ImageProfilesTool::modifiedMatrix(), ScreenPickerTool(), ImageProfilesTool::setCursorWidth(), xValue(), yValue(), and ~ScreenPickerTool().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/ScreenPickerTool.h
- qtiplot/src/plot2D/ScreenPickerTool.cpp